> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the sale estimates.



## OpenAPI

````yaml api-reference/openapi.json get /api/sale-estimates
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/sale-estimates:
    get:
      tags:
        - Sale Estimates
      summary: Retrieves the sale estimates.
      operationId: SaleEstimatesController_getSaleEstimates
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Sale estimates retrieved successfully
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SaleEstimateResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/SaleEstimateResponseDto'
components:
  schemas:
    SaleEstimateResponseDto:
      type: object
      properties:
        customerId:
          type: number
          description: Unique identifier of the customer
          example: 1
        estimateDate:
          type: string
          description: Date of the estimate
          example: '2024-01-01'
        expirationDate:
          type: string
          description: Expiration date of the estimate
          example: '2024-01-31'
        reference:
          type: string
          description: Reference number of the estimate
          example: EST-2024-001
        estimateNumber:
          type: string
          description: Estimate number
          example: EST-2024-001
        note:
          type: string
          description: Note for the estimate
          example: This is a note.
        termsConditions:
          type: string
          description: Terms and conditions for the estimate
          example: Payment due in 30 days.
        sendToEmail:
          type: string
          description: Email to send the estimate to
          example: customer@email.com
        exchangeRate:
          type: number
          description: Exchange rate used for the estimate
          example: 1
        amount:
          type: number
          description: Amount of the estimate
          example: 1000
        currencyCode:
          type: string
          description: Currency code
          example: USD
        deliveredAt:
          type: string
          description: Delivered at date
          example: '2024-01-05'
        approvedAt:
          type: string
          description: Approved at date
          example: '2024-01-10'
        rejectedAt:
          type: string
          description: Rejected at date
          example: '2024-01-15'
        userId:
          type: number
          description: User ID who created the estimate
          example: 42
        convertedToInvoiceId:
          type: number
          description: Converted to invoice ID
          example: 100
        convertedToInvoiceAt:
          type: string
          description: Converted to invoice at date
          example: '2024-02-01'
        createdAt:
          type: string
          description: Created at date
          example: '2024-01-01'
        updatedAt:
          type: string
          description: Updated at date
          example: '2024-01-10'
        branchId:
          type: number
          description: Branch ID
          example: 2
        warehouseId:
          type: number
          description: Warehouse ID
          example: 3
        discount:
          type: number
          description: Discount value
          example: 100
        discountType:
          type: string
          description: Discount type
          example: amount
        adjustment:
          type: number
          description: Adjustment value
          example: 50
        formattedSubtotal:
          type: string
          description: Formatted subtotal of the estimate
          example: 1,000.00
        formattedAmount:
          type: string
          description: Formatted total amount of the estimate
          example: 1,200.00
        formattedEstimateDate:
          type: string
          description: Formatted estimate date
          example: '2024-01-01'
        formattedExpirationDate:
          type: string
          description: Formatted expiration date
          example: '2024-01-31'
        formattedDeliveredAtDate:
          type: string
          description: Formatted delivered at date
          example: '2024-01-05'
        formattedApprovedAtDate:
          type: string
          description: Formatted approved at date
          example: '2024-01-10'
        formattedRejectedAtDate:
          type: string
          description: Formatted rejected at date
          example: '2024-01-15'
        discountAmountFormatted:
          type: string
          description: Formatted discount amount
          example: '100.00'
        discountPercentageFormatted:
          type: string
          description: Formatted discount percentage
          example: 10%
        adjustmentFormatted:
          type: string
          description: Formatted adjustment amount
          example: '50.00'
        totalFormatted:
          type: string
          description: Formatted total
          example: 1,150.00
        totalLocalFormatted:
          type: string
          description: Formatted total in local currency
          example: 1,200.00
        formattedCreatedAt:
          type: string
          description: Formatted created at date
          example: '2024-01-01'
        entries:
          description: Entries of the sale estimate
          type: array
          items:
            $ref: '#/components/schemas/ItemEntryDto'
        attachments:
          description: Attachments of the sale estimate
          type: array
          items:
            $ref: '#/components/schemas/AttachmentLinkDto'
      required:
        - customerId
        - estimateDate
        - expirationDate
        - reference
        - estimateNumber
        - note
        - termsConditions
        - sendToEmail
        - exchangeRate
        - amount
        - currencyCode
        - userId
        - discount
        - discountType
        - adjustment
        - formattedSubtotal
        - formattedAmount
        - formattedEstimateDate
        - formattedExpirationDate
        - formattedDeliveredAtDate
        - formattedApprovedAtDate
        - formattedRejectedAtDate
        - discountAmountFormatted
        - discountPercentageFormatted
        - adjustmentFormatted
        - totalFormatted
        - totalLocalFormatted
        - formattedCreatedAt
        - entries
        - attachments
    ItemEntryDto:
      type: object
      properties:
        index:
          type: number
          description: The index of the item entry
          example: 1
        itemId:
          type: number
          description: The id of the item
          example: 1
        rate:
          type: number
          description: The rate of the item entry
          example: 1
        quantity:
          type: number
          description: The quantity of the item entry
          example: 1
        discount:
          type: number
          description: The discount of the item entry
          example: 1
        discountType:
          type: string
          description: The type of the discount
          example: percentage
        description:
          type: string
          description: The description of the item entry
          example: This is a description
        taxCode:
          type: string
          description: The tax code of the item entry
          example: '123456'
        taxRateId:
          type: number
          description: The tax rate id of the item entry
          example: 1
        warehouseId:
          type: number
          description: The warehouse id of the item entry
          example: 1
        projectId:
          type: number
          description: The project id of the item entry
          example: 1
        projectRefId:
          type: number
          description: The project ref id of the item entry
          example: 1
        projectRefType:
          type: string
          description: The project ref type of the item entry
          example: TASK
        projectRefInvoicedAmount:
          type: number
          description: The project ref invoiced amount of the item entry
          example: 100
        sellAccountId:
          type: number
          description: The sell account id of the item entry
          example: 1020
        costAccountId:
          type: number
          description: The cost account id of the item entry
          example: 1021
      required:
        - index
        - itemId
        - rate
        - quantity
        - discount
        - discountType
        - description
        - taxCode
        - taxRateId
        - warehouseId
        - projectId
        - projectRefId
        - projectRefType
        - projectRefInvoicedAmount
        - sellAccountId
        - costAccountId
    AttachmentLinkDto:
      type: object
      properties: {}

````